{
	"format_version": "1.19.0",
	"animation_controllers": {
		"controller.animation.cc_fairytales.mega_crab": {
			"states": {
				"default": {
					"transitions": [
						{"spawnear_chikitos": "query.mark_variant == 1"},
						{"explotar": "query.mark_variant ==2"}
					]
				},
				"spawnear_chikitos": {
					"animations": ["spawnear_chikitos"],
					"transitions": [
						{"default": "query.mark_variant ==0"}
					]
				},
				"explotar": {
					"animations": ["explode", "explotar_sonido"],
					"blend_via_shortest_path": true
				}
			}
		}
	}
}